Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

make installcheck errors for PyNEST Testsuite #309

Closed
steffengraber opened this issue Apr 15, 2016 · 10 comments
Closed

make installcheck errors for PyNEST Testsuite #309

steffengraber opened this issue Apr 15, 2016 · 10 comments

Comments

@steffengraber
Copy link
Collaborator

@steffengraber steffengraber commented Apr 15, 2016

Hi,

that's it what I did:

cmake -DCMAKE_INSTALL_PREFIX=/home/steffen/work/opt/nest 
      -Dwith-optimize=ON 
      -Dwith-warning=ON 
      -Dwith-mpi=OFF 
      -Dwith-python=ON 
      -Dwith-gsl=ON 
      -Dwith-libneurosim=ON
make
make install
make installcheck

Everything looks nice, but at the end of the checks:

ERROR: One-to-one connectivity with id ranges
  NameError: global name 'GetChildren' is not defined
  ERROR: One-to-one connectivity
  NameError: global name 'GetChildren' is not defined
  ERROR: One-to-one connectivity with 1-dim subnets
  NameError: global name 'GetChildren' is not defined
  ERROR: One-to-one connectivity with n-dim subnets
      self.assertRaisesRegex(nest.NESTError, "BadProperty", nest.CGConnect, pop0, pop1, cg)
  NameError: global name 'GetChildren' is not defined
  ERROR: cgnext
  NESTError: unknown Python type: <class 'csa.connset.ConnectionSet'>
  FAILED (SKIP=6, errors=5)

  PyNEST tests: 524
     Passed: 519
     Failed: 5

NEST Testsuite Summary
----------------------
  NEST Executable: /home/steffen/work/opt/nest/bin/nest
  SLI Executable : /home/steffen/work/opt/nest/bin/sli
  Total number of tests: 732
     Passed: 727
     Failed: 5 (5 PyNEST)

Looks like a problem with the libneuronsim. But cmake says:

Use libneurosim     : Yes (LibNeurosim 1.0.0)
    Includes        : /usr/local/include
    Libraries       : /usr/local/lib/libneurosim.so;/usr/local/lib/libpyneurosim.so
@heplesser
Copy link
Contributor

@heplesser heplesser commented Dec 2, 2016

@steffengraber Any news on this one with more recent versions?

Loading

@steffengraber
Copy link
Collaborator Author

@steffengraber steffengraber commented Dec 5, 2016

I've tried it with the nest live media, installed the libneurosim and downloaded the newest master.
The same problems as above.

Loading

@jougs
Copy link
Contributor

@jougs jougs commented Jun 29, 2017

This is related to and fixed by #483. See #206 for a similar problem when using CSA.

Loading

@heplesser
Copy link
Contributor

@heplesser heplesser commented Aug 9, 2017

@jougs @steffengraber Can we close this issue in view of @jougs last comment?

Loading

@jougs
Copy link
Contributor

@jougs jougs commented Aug 9, 2017

I guess not until #483 is merged. I try to work on updating that asap and report back.

Loading

@jougs
Copy link
Contributor

@jougs jougs commented Oct 16, 2017

Fixed by the merge of #483.

Loading

@jougs jougs closed this Oct 16, 2017
@xdzhangxuejun
Copy link

@xdzhangxuejun xdzhangxuejun commented Jun 11, 2018

Hi @steffengraber . Can you give me a linker to download Libneuronsim. Thank you very much.

Loading

@jougs
Copy link
Contributor

@jougs jougs commented Jun 11, 2018

Loading

@xdzhangxuejun
Copy link

@xdzhangxuejun xdzhangxuejun commented Jun 12, 2018

Loading

@heplesser
Copy link
Contributor

@heplesser heplesser commented Jun 12, 2018

@xdzhangxuejun Please ask questions about libneurosim in forums for libneurosim, not in the NEST issue tracker. The problems you see look like generic problems with your autotools installation.

Loading

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
4 participants